|  | Home |

# QMailContentManagerPluginInterface Class Reference

The QMailContentManagerPluginInterface class defines the interface to plugins that provide message content management facilities. More...

        #include <QMailContentManagerPluginInterface>

Inherited by QMailContentManagerPlugin.

- List of all members, including inherited members

## Public Functions

virtual QMailContentManager * | create () = 0
virtual QString | key () const = 0

## Detailed Description

The QMailContentManagerPluginInterface class defines the interface to plugins that provide message content management facilities.

The QMailContentManagerPluginInterface class defines the interface to message content manager plugins. Plugins will typically inherit from QMailContentManagerPlugin rather than this class.

See also QMailContentManagerPlugin, QMailContentManager, and QMailContentManagerFactory.

## Member Function Documentation

### QMailContentManager * QMailContentManagerPluginInterface::create () `[pure virtual]`

Creates an instance of the QMailContentManager class provided by the plugin.

### QString QMailContentManagerPluginInterface::key () const `[pure virtual]`

Returns a unique string identifying the content management scheme implemented by the plugin.